
_interrupt:

;IR_transmitter_SPS440.mbas,24 :: 		sub procedure interrupt
;IR_transmitter_SPS440.mbas,25 :: 		if TMR2IF_bit = 1 then
	BTFSS      TMR2IF_bit+0, BitPos(TMR2IF_bit+0)
	GOTO       L__interrupt2
;IR_transmitter_SPS440.mbas,26 :: 		if counter = 12 then
	MOVF       _counter+0, 0
	XORLW      12
	BTFSS      STATUS+0, 2
	GOTO       L__interrupt5
;IR_transmitter_SPS440.mbas,27 :: 		if on_flag then
	MOVF       _on_flag+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__interrupt8
;IR_transmitter_SPS440.mbas,28 :: 		CCPR1L = 0
	CLRF       CCPR1L+0
;IR_transmitter_SPS440.mbas,29 :: 		on_flag = false
	CLRF       _on_flag+0
	GOTO       L__interrupt9
;IR_transmitter_SPS440.mbas,30 :: 		else
L__interrupt8:
;IR_transmitter_SPS440.mbas,31 :: 		CCPR1L = 65
	MOVLW      65
	MOVWF      CCPR1L+0
;IR_transmitter_SPS440.mbas,32 :: 		on_flag = true
	MOVLW      255
	MOVWF      _on_flag+0
;IR_transmitter_SPS440.mbas,33 :: 		end if
L__interrupt9:
;IR_transmitter_SPS440.mbas,34 :: 		counter = 0
	CLRF       _counter+0
L__interrupt5:
;IR_transmitter_SPS440.mbas,36 :: 		counter = counter + 1
	INCF       _counter+0, 1
;IR_transmitter_SPS440.mbas,37 :: 		TMR2IF_bit = 0
	BCF        TMR2IF_bit+0, BitPos(TMR2IF_bit+0)
L__interrupt2:
;IR_transmitter_SPS440.mbas,39 :: 		end sub
L_end_interrupt:
L__interrupt17:
	RETFIE     %s
; end of _interrupt

_main:

;IR_transmitter_SPS440.mbas,44 :: 		main:
;IR_transmitter_SPS440.mbas,46 :: 		ANSELA = 0
	CLRF       ANSELA+0
;IR_transmitter_SPS440.mbas,48 :: 		WPUA = 0
	CLRF       WPUA+0
;IR_transmitter_SPS440.mbas,50 :: 		LED_TRIS =  PORT_OUTPUT
	BCF        TRISA2_bit+0, BitPos(TRISA2_bit+0)
;IR_transmitter_SPS440.mbas,53 :: 		P1M1_bit    = 0 ' single output
	BCF        P1M1_bit+0, BitPos(P1M1_bit+0)
;IR_transmitter_SPS440.mbas,54 :: 		P1M0_bit    = 0 ' single output
	BCF        P1M0_bit+0, BitPos(P1M0_bit+0)
;IR_transmitter_SPS440.mbas,55 :: 		CCP1M3_bit  = 1  ' PWM mode
	BSF        CCP1M3_bit+0, BitPos(CCP1M3_bit+0)
;IR_transmitter_SPS440.mbas,56 :: 		CCP1M2_bit  = 1
	BSF        CCP1M2_bit+0, BitPos(CCP1M2_bit+0)
;IR_transmitter_SPS440.mbas,57 :: 		CCP1M1_bit  = 0
	BCF        CCP1M1_bit+0, BitPos(CCP1M1_bit+0)
;IR_transmitter_SPS440.mbas,58 :: 		CCP1M0_bit  = 0
	BCF        CCP1M0_bit+0, BitPos(CCP1M0_bit+0)
;IR_transmitter_SPS440.mbas,59 :: 		DC1B1_bit   = 0   ' duty
	BCF        DC1B1_bit+0, BitPos(DC1B1_bit+0)
;IR_transmitter_SPS440.mbas,60 :: 		DC1B0_bit   = 0   ' duty
	BCF        DC1B0_bit+0, BitPos(DC1B0_bit+0)
;IR_transmitter_SPS440.mbas,61 :: 		CCPR1L      = 65    ' 50% duty
	MOVLW      65
	MOVWF      CCPR1L+0
;IR_transmitter_SPS440.mbas,62 :: 		TMR2ON_bit  = 1
	BSF        TMR2ON_bit+0, BitPos(TMR2ON_bit+0)
;IR_transmitter_SPS440.mbas,63 :: 		TMR2IE_bit  = 1
	BSF        TMR2IE_bit+0, BitPos(TMR2IE_bit+0)
;IR_transmitter_SPS440.mbas,64 :: 		T2CKPS1_bit = 0
	BCF        T2CKPS1_bit+0, BitPos(T2CKPS1_bit+0)
;IR_transmitter_SPS440.mbas,65 :: 		T2CKPS0_bit = 0
	BCF        T2CKPS0_bit+0, BitPos(T2CKPS0_bit+0)
;IR_transmitter_SPS440.mbas,66 :: 		T2OUTPS0_bit = 0
	BCF        T2OUTPS0_bit+0, BitPos(T2OUTPS0_bit+0)
;IR_transmitter_SPS440.mbas,67 :: 		T2OUTPS1_bit = 0
	BCF        T2OUTPS1_bit+0, BitPos(T2OUTPS1_bit+0)
;IR_transmitter_SPS440.mbas,68 :: 		T2OUTPS2_bit = 0
	BCF        T2OUTPS2_bit+0, BitPos(T2OUTPS2_bit+0)
;IR_transmitter_SPS440.mbas,69 :: 		T2OUTPS3_bit = 0
	BCF        T2OUTPS3_bit+0, BitPos(T2OUTPS3_bit+0)
;IR_transmitter_SPS440.mbas,71 :: 		PR2 = 130    ' 130 = 38.168kHz
	MOVLW      130
	MOVWF      PR2+0
;IR_transmitter_SPS440.mbas,72 :: 		counter = 0
	CLRF       _counter+0
;IR_transmitter_SPS440.mbas,73 :: 		on_flag = true
	MOVLW      255
	MOVWF      _on_flag+0
;IR_transmitter_SPS440.mbas,74 :: 		PEIE_bit = 1
	BSF        PEIE_bit+0, BitPos(PEIE_bit+0)
;IR_transmitter_SPS440.mbas,75 :: 		GIE_bit = 1
	BSF        GIE_bit+0, BitPos(GIE_bit+0)
;IR_transmitter_SPS440.mbas,76 :: 		while(true)
L__main12:
	GOTO       L__main12
;IR_transmitter_SPS440.mbas,78 :: 		wend
L_end_main:
	GOTO       $+0
; end of _main
